# Ogre::PositionTarget Class Reference

`#include <OgrePositionTarget.h>`

Inheritance diagram for Ogre::PositionTarget:

List of all members.

## Public Member Functions

virtual | ~PositionTarget ()
virtual Real | getLeft (void) const=0
| Gets the left of this element in relation to the screen (where 0 = far left, 1.0 = far right).
virtual Real | getTop (void) const=0
| Gets the top of this element in relation to the screen (where 0 = top, 1.0 = bottom).
virtual PositionTarget * | getPositionTargetParent () const=0
virtual bool | isKeyEnabled () const=0
virtual void | processEvent (InputEvent *e)=0

## Constructor & Destructor Documentation

virtual Ogre::PositionTarget::~PositionTarget | ( |  | ) | `[virtual]`

| Definition at line 50 of file OgrePositionTarget.h.

## Member Function Documentation

virtual Real Ogre::PositionTarget::getLeft | ( | void |  | ) | const`[pure virtual]`

| Gets the left of this element in relation to the screen (where 0 = far left, 1.0 = far right). Implemented in Ogre::Cursor, and Ogre::EventProcessor.

virtual PositionTarget* Ogre::PositionTarget::getPositionTargetParent | ( |  | ) | const`[pure virtual]`

| Implemented in Ogre::Cursor, and Ogre::EventProcessor.

virtual Real Ogre::PositionTarget::getTop | ( | void |  | ) | const`[pure virtual]`

| Gets the top of this element in relation to the screen (where 0 = top, 1.0 = bottom). Implemented in Ogre::Cursor, and Ogre::EventProcessor.

virtual bool Ogre::PositionTarget::isKeyEnabled | ( |  | ) | const`[pure virtual]`

| Implemented in Ogre::Cursor, and Ogre::EventProcessor.

virtual void Ogre::EventTarget::processEvent | ( | InputEvent * | e | ) | `[pure virtual, inherited]`

| Implemented in Ogre::Cursor, and Ogre::EventProcessor.

The documentation for this class was generated from the following file:

- OgrePositionTarget.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:02:09 2006